routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\VaksinController;
use App\Http\Controllers\PendaftarController;
use App\Http\Controllers\JadwalController;
use App\Http\Controllers\DaftarController;
use App\Http\Controllers\CariController;
use App\Http\Controllers\CetakKartuController;
use App\Http\Controllers\CompleteController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [function () {
    return view('welcome');
}])->name('landing');

Auth::routes([
    'register' => false,
    'reset' => false,
]);

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::resource('daftar', DaftarController::class);
Route::get('/daftar-filtered/{daftar?}', [DaftarController::class, 'indexFiltered'])->name('daftar.filter');
Route::get('/Pendaftaran/{daftar:kode_unik}', [CariController::class, 'show'])->name('pendaftaran');
Route::get('/pendaftaran', [PendaftarController::class, 'index'])->name('pendaftar');
Route::get('/pendaftaran/{jadwal}/create', [PendaftarController::class, 'create'])->name('pendaftar.create');
Route::get('/cari', [CariController::class, 'search'])->name('cari');
Route::get('/cari/kartu', [CariController::class, 'searchKartu'])->name('cari.kartu');
Route::get('/cari/data', [CariController::class, 'find'])->name('cari_pendaftar');
Route::get('/cari/data/kartu', [CariController::class, 'findKartu'])->name('kartu.vaksin');
Route::get('/cetak-kartu/{daftar}', [CetakKartuController::class, 'cetak'])->name('cetak');
Route::get('/kartu-vaksin/{selesai}', [CetakKartuController::class, 'cetakKartuVaksin'])->name('cetak.kartu.vaksin');
Route::get('/selesai/{daftar}', [CompleteController::class, 'getData'])->name('selesai');
Route::get('/selesai', [CompleteController::class, 'index'])->name('selesai.index');
Route::delete('/selesai/{selesai}', [CompleteController::class, 'destroy'])->name('selesai.destroy');
Route::get('/selesai-filtered/{selesai?}', [CompleteController::class, 'indexFiltered'])->name('selesai.filter');
Route::resource('jadwal', JadwalController::class);
Route::resource('vaksin', VaksinController::class);

app/Http/Controllers/VaksinController.php
<?php

namespace App\Http\Controllers;

use App\Models\JenisVaksin;
use Illuminate\Http\Request;

class VaksinController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $vaksins = JenisVaksin::latest()->simplePaginate(5);

        return view('vaksin.index', compact('vaksins'))
                ->with('i', (request()->input('page', 1) - 1) * 5);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('vaksin.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //membuat validasi untuk isian
        $request->validate([
            'jenis_vaksin'=>'required',
        ]);

        //insert request dari form ke database
        JenisVaksin::create($request->all());

        //riderict juka sukses
        return redirect()->route('vaksin.index')->with('success', 'Data berhasil ditambahkan!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(JenisVaksin $vaksin)
    {
        return view('vaksin.edit', compact('vaksin'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, JenisVaksin $vaksin)
    {
        //membuat validasi untuk isian
        $request->validate([
            'jenis_vaksin'=>'required',
        ]);

        //insert request dari form ke database
        $vaksin->update($request->all());

        //riderict juka sukses
        return redirect()->route('vaksin.index')->with('success', 'Data berhasil diupdate!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(JenisVaksin $vaksin)
    {
        $vaksin->delete();

        return redirect()->route('vaksin.index')
                ->with('success', 'Data Berhasil dihapus!');
    }
}

resources/views/vaksin/create.blade.php
@extends('layouts.master')

@section('content')
    <div class="container">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Tambah Jenis Vaksin</h1>
        </div>

        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <!-- Content Row -->
        <div class="row">
            <form action="{{ route('vaksin.store') }}" method="POST">
                @csrf

                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Jenis Vaksin :</strong>
                            <input type="text" name="jenis_vaksin" class="form-control" required>
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </div>

            </form>

        </div>

        <!-- Content Row -->
    </div>
@endsection

resources/views/vaksin/edit.blade.php
@extends('layouts.master')

@section('content')
    <div class="container">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Edit Jenis Vaksin</h1>
        </div>

        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <!-- Content Row -->
        <div class="row">
            <form action="{{ route('vaksin.update', $vaksin->id) }}" method="POST">
                @csrf
                @method('PUT')

                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Jenis vaksin :</strong>
                            <input type="text" name="jenis_vaksin" class="form-control"
                                value="{{ $vaksin->jenis_vaksin }}">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                        <button type="submit" class="btn btn-primary">Update</button>
                    </div>
                </div>

            </form>

        </div>

        <!-- Content Row -->
    </div>
@endsection

resources/views/vaksin/index.blade.php
@extends('layouts.master')

@section('content')
    <div class="container">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Data Jenis Vaksin</h1>
        </div>

        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <!-- Content Row -->
        <div class="row">
            <!-- Earnings (Monthly) Card Example -->
            <a type="button" class="btn btn-primary" href="{{ route('vaksin.create') }}">Tambah Jenis Vaksin</a>
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">No</th>
                        <th scope="col">Jenis Vaksin</th>
                        <th scope="col">Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($vaksins as $vaksin)
                        <tr>
                            <td>{{ ++$i }}</td>
                            <td>{{ $vaksin->jenis_vaksin }}</td>
                            <td>
                                <form action="{{ route('vaksin.destroy', $vaksin->id) }}" method="POST">
                                    <a type="button" class="btn btn-warning btn-sm"
                                        href="{{ route('vaksin.edit', $vaksin->id) }}" title="edit"><i
                                            class="fas fa-edit"></i></a>
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn btn-danger btn-sm"
                                        onclick="return confirm('Apakah Anda yakin ingin menghapus data ini?')"
                                        title="delete"><i class="fas fa-trash"></i></button>
                                </form>

                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
            {!! $vaksins->links() !!}

        </div>

        <!-- Content Row -->
    </div>
@endsection